.testimonials {
  background: center url("./images/testimonials/testimonials-bg-mobile.jpg")
    no-repeat;
  background-size: cover;
  background-color: $secondary-color;
  padding-top: 57px;
  padding-bottom: 22px;
  position: relative;

  @media (min-width: $tablet-bp) {
    background: center url("./images/testimonials/testimonials-bg-tablet.jpg")
      no-repeat;
    background-size: cover;
    padding-top: 86px;
    padding-bottom: 19px;
  }

  @media (min-width: $desktop-bp) {
    background: center url("./images/testimonials/testimonials-bg-desktop.jpg")
      no-repeat;
    background-size: cover;
    padding-top: 108px;
  }
}

.testimonials__title {
  @include text-style(36px, 48px, $primary-color, 700);
  margin: 0;
  margin-bottom: 53px;

  @media (min-width: $tablet-bp) {
    font-size: 42px;
    line-height: 44px;
    margin-bottom: 85px;
  }

  @media (min-width: $desktop-bp) {
    font-size: 48px;
    line-height: 50px;
    margin-bottom: 75px;
  }
}

.testimonials__items-wrapper {
  margin-bottom: 37px;

  @media (min-width: $tablet-bp) {
    display: grid;
    column-gap: 10px;
    row-gap: 55px;
    grid-template-columns: repeat(2, 1fr);
    margin-bottom: 68px;
  }

  @media (min-width: $desktop-bp) {
    column-gap: 18px;
    row-gap: 111px;
    grid-template-columns: repeat(3, 1fr);
    margin-bottom: 120px;
  }
}

.testimonials__item {
  @include flex(end);
  flex-direction: column;
  margin-bottom: 45px;
  row-gap: 22px;

  a {
    cursor: pointer;
  }

  img {
    display: block;
  }

  &:last-child {
    margin-bottom: 37px;
  }

  @media (min-width: $tablet-bp) {
    margin-bottom: 0;

    &:last-child {
      margin-bottom: 0;
    }
  }
}

.testimonials__text {
  @include text-style(16px, 24px, $primary-color, 700);
  font-family: $secondary-font;
  font-style: italic;
  margin: 0;
  max-width: 345px;
}

.testimonials__note {
  @include text-style(14px, 21px, #a291a5);
  font-family: $secondary-font;
  max-width: 297px;
  margin: 0 auto;

  @media (min-width: $tablet-bp) {
    max-width: 887px;
  }
}

.testimonials__line {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 76%;
  max-width: 780px;
  height: 2px;
  background-color: #645766;
}
